package com.luojia_channel.modules.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.modules.file.dto.UploadFileDTO;
import com.luojia_channel.modules.user.dto.UserChangeInfoDTO;
import com.luojia_channel.modules.user.entity.User;
import org.springframework.web.multipart.MultipartFile;

public interface UserInfoService  extends IService<User> {

    void updateInfo(UserChangeInfoDTO userChangeInfoDTO);

    void updatePassword(String password);

    String uploadAvatar(MultipartFile file);
}
